
<p align="center">
  <a href="https://arya.lovejade.cn/" target="_blank">
    <img width="100"src="https://raw.githubusercontent.com/nicejade/arya-jarvis/master/assets/images/logo.png">
  </a>
</p>

<h1 align="center">gateway（暂定）</h1>

<div align="center">
  <strong>
    网关，中间层服务，可拔插式多元化服务
  </strong>
</div>

<br>

<div align="center">
  <a href="https://nodejs.org/en/">
    <img src="https://img.shields.io/badge/node-%3D%2012.0.0-green.svg" alt="Node Version">
  </a>
  <a href="https://nicelinks.site/post/5c16083e819ae45de1453caa">
    <img src="https://img.shields.io/badge/code_style-prettier-ff69b4.svg?style=flat" alt="Prettier">
  </a>
</div>

## 目标与哲学

为您设计的项目，写下初衷、理念和目标。对创建和维护项目背后的动机，作简短的阐述，这应该可以解释为什么该项目存在。

## 先决条件

说明用户在安装和使用前，需要准备的一些先决条件，譬如：您需要安装或升级 [Node.js](https://nodejs.org/en/)（> = `12.* `，Npm 版本 >= `6.14.8 `，[Yarn](https://yarnpkg.com/) 作为首选）。

## TODO

- [x] redis插件
- [x] 本地缓存和本地嵌入式数据库插件
- [x] 日志插件
- [x] 开发环境热更新和生产环境pm2部署
- [ ] mysql插件
- [ ] mongo插件
- [ ] 可拔插插件和插件之间依赖兼容处理
- [ ] websocket服务完善
- [ ] 项目结构和代码优化调整

## 安装

```bash
yarn install
```

在特定的生态系统中，可能存在一种通用的安装方式，例如使用Yarn，NuGet或Homebrew。但是，请考虑是否有可能正在阅读README的人是新手，并且需要更多指导。

## 用法

#### 启动

```bash
yarn start
```

自由地使用示例，并尽可能显示预期的输出。内联您可以演示的最小用法示例很有帮助，同时提供指向更复杂示例的链接（如果它们太长而无法合理地包含在自述文件中）。

#### 开发

```bash
yarn dev
```

自由地使用示例，并尽可能显示预期的输出。内联您可以演示的最小用法示例很有帮助，同时提供指向更复杂示例的链接（如果它们太长而无法合理地包含在自述文件中）。

## 屏幕截图（可选）

包括 logo / demo 截图等。

## 支持（可选）

告诉人们他们可以去哪里寻求帮助。它可以是 issue 跟踪器，聊天室，电子邮件地址等的任意组合。

## 测试（可选）

```bash
npm test
```

用代码示例描述并展示如何运行测试。

## 路线图（可选）

如果您对将来的发行版有任何想法，最好在 README 文件中列出它们。

## 贡献（可选）

欢迎提出请求。对于重大更改，请先打开一个 issue，以讨论您要更改的内容。请确保适当更新测试。

## 作者和致谢（可选）

向那些为该项目做出贡献的人表示感谢。

## 执照

[MIT](http://opensource.org/licenses/MIT)

版权所有 (c) 2021-至今，[您的名字](您的主页网址)。

## 项目状态（可选）

如果您没有足够的精力或时间来完成项目，请在 README 文件的顶部添加注释，指出开发速度已减慢或完全停止。可能有人会选择 fork 您的项目，或者，以维护者或所有者的身份自愿加入，从而使您的项目继续进行下去。您也可以明确要求维护者。
